# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI=5

inherit versionator

MY_PV=$(delete_all_version_separators "${PV}")
MY_P="Y10B_C1-ps-64-${MY_PV}-en"

DESCRIPTION="Brother HL-4140CN, HL-4150CDN and HL-4570CDW colour laser printer cups .ppd files."
HOMEPAGE="http://welcome.solutions.brother.com/bsc/public/as/au/en/dlf/dlf/000000/004500/dlf004506.html?reg=as&c=au&lang=en&prod=hl4150cdn_all&type2=82&os=93&flang=4&dlid=dlf004506"
SRC_URI="${MY_P}.EXE"

LICENSE="Brother-EULA"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""
RESTRICT="fetch mirror"

RDEPEND="net-print/cups"
DEPEND="${RDEPEND}
	app-arch/unzip"

S="${WORKDIR}/eng"

pkg_nofetch() {
	ewarn "Please accept the Brother EULA license agreement, and download the"
	ewarn "BR-Script driver(Postscript language emulation) Windows 7 64 bit from:"
	ewarn ""
	ewarn "${HOMEPAGE}"
	ewarn ""
	ewarn "And move it to ${DISTDIR}"
}

src_unpack() {
	if [ "${A}" != "" ]; then
		# It is normal for unzip to generated a warning message and return 1
		# warning [/var/tmp/portage/net-print/brother-hl4150cdn-ppds-1.03/distdir/Y10B_C1-ps-64-103-en.EXE]:  41025 extra bytes at beginning or within zipfile
		# (attempting to process anyway)
		unzip "${DISTDIR}/${A}"
		if [ [ ! -f "${S}/BR4140_2.PPD" ] -o \
			 [ ! -f "${S}/BR4150_2.PPD" ] -o \
			 [ ! -f "${S}/BR4570_2.PPD" ] ]; then
			die "unzip ${DISTDIR}/${A} failed"
		fi
	fi
}

src_install() {
	insinto /usr/share/cups/model
	doins *.PPD
}

pkg_postinst() {
	ewarn ".PPD files are installed in"
	ewarn ""
	ewarn "${ROOT}usr/share/cups/model"
	ewarn ""
	ewarn "To install the printer driver in CUPS, please see:"
	ewarn ""
	ewarn "http://www.gentoo.org/doc/en/printing-howto.xml"
	ewarn ""
	ewarn "If you are using the printer as a network printer, then the"
	ewarn "DeviceURI is something like:"
	ewarn ""
	ewarn "http://brother:631/ipp"
	ewarn ""
	ewarn "Where brother is the hostname of the Brother network printer, which"
	ewarn "you may need to set in your network configuration, say in:"
	ewarn ""
	ewarn "/etc/hosts"
}
